GNU bug report logs - #35169
[PATCH] gnu: Add urh.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Arun Isaac <arunisaac@HIDDEN>; Keywords: patch; dated Sat, 6 Apr 2019 10:12:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 35169 <at> debbugs.gnu.org:


Received: (at 35169) by debbugs.gnu.org; 19 Apr 2022 10:09:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 19 06:09:22 2022
Received: from localhost ([127.0.0.1]:41720 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngknS-0005ov-CQ
	for submit <at> debbugs.gnu.org; Tue, 19 Apr 2022 06:09:22 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:36268)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1ngknP-0005oh-KZ
 for 35169 <at> debbugs.gnu.org; Tue, 19 Apr 2022 06:09:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=l+NUWNQiTHGeBV3w3slm46HLGBZ6RTeNxYincmMKWt0=; b=NsINGgQa7Z3mJMUoATCA9aBAjZ
 Lb0MNnbb9CP21A/2lutFd+hYpECg63y0bt8qgtgBeruOneddOIG4x/qO/mgijNriw5yNsfO/2D2VI
 0xrrgIlEcosG1Tco5/NhHzRrNT52w0YlcQeEgZvQrQtxtoDKzF/oT9ncgJrZupfw5NKQmsV5lNim+
 IEDxXADsytBcmS0gUm4RYLw80bR7O+2YrfuKDeR0c6yMMpSGWdQXsWDmyNPPuEQxL6efRhtRC0aDO
 rzWiMHO5mKVpfJ+ZnOkh0fR3TegKUD12iBy2n14nFmIMCAPJMX3kAvYEfcTn/20hyaLqQLwnesqJl
 vJk5ZnIQ==;
Received: from [192.168.2.1] (port=5414 helo=steel)
 by systemreboot.net with esmtpsa (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.95)
 (envelope-from <arunisaac@HIDDEN>) id 1ngknL-000067-02;
 Tue, 19 Apr 2022 15:39:15 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#35169: [PATCH] gnu: Add urh.
In-Reply-To: <86czht2hia.fsf_-_@HIDDEN>
References: <20190406101033.24342-1-arunisaac@HIDDEN>
 <20190406122240.2a140630@HIDDEN>
 <cu7lfzyx7yy.fsf@HIDDEN> <87mukd2abi.fsf@nckx>
 <cu7ftq5xnd5.fsf@HIDDEN> <86czht2hia.fsf_-_@HIDDEN>
Date: Tue, 19 Apr 2022 15:39:14 +0530
Message-ID: <87ee1tbd11.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35169
Cc: Tobias Geerinckx-Rice <me@HIDDEN>, 35169 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi zimoun,

Sorry for the very late response! hackrf is already packaged for Guix
thanks to an unrelated commit by Christopher Howard in
79c4fb4f366cff3ad75982b4a09c6bd82e604674. urh is many new versions ahead
and my old patch no longer works. On casual inspection, I found that it
might take significantly more work to get working again. But, I'm not
using urh any longer and I'm not interested in it any more. Would it be
ok to close this issue without merging?

Regards,
Arun




Information forwarded to guix-patches@HIDDEN:
bug#35169; Package guix-patches. Full text available.

Message received at 35169 <at> debbugs.gnu.org:


Received: (at 35169) by debbugs.gnu.org; 7 Apr 2022 12:49:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 07 08:49:28 2022
Received: from localhost ([127.0.0.1]:60144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ncRZo-00085e-AJ
	for submit <at> debbugs.gnu.org; Thu, 07 Apr 2022 08:49:28 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:41806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ncRZm-00085P-Sl
 for 35169 <at> debbugs.gnu.org; Thu, 07 Apr 2022 08:49:27 -0400
Received: by mail-wr1-f41.google.com with SMTP id k23so7687841wrd.8
 for <35169 <at> debbugs.gnu.org>; Thu, 07 Apr 2022 05:49:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=SuP2pjkeV3Y/UeFKhJY84rPf5yoTCjp2ibSYZYrNHzY=;
 b=gH561lkxC422gln2EOMhxpCpVKB338lWUfiMqvB5VpBMoY98HROfpd2MoD43mA0Pdc
 0vBVZn7HT+6NAdWjTgwYEy+28XomQvseLq6RO9zM0Z2aXOa5ZbxWdU84X6+AuaJc41al
 wKDDEejJgV0/aWE9nlMTLp8Q+QzZSWYkGhE0rDwYy6kEb9iKul/AIanK4xpDYM5blFsT
 1Fwa2H15BPvZeEND9NwUoAd3VmyX52HBORj5Fct+VnLrbLoMXtr1jGRZNbN0t7ucZWa/
 M3BvC0DTiLwHoYY9wWiMOgo0tYXn8TreNAAELSbEKm0ykWCG8cbpguKwmAsuk9U4XgAp
 F/yg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=SuP2pjkeV3Y/UeFKhJY84rPf5yoTCjp2ibSYZYrNHzY=;
 b=2GrfWeLfpV2o4FbPI+biLPY+a+GblbJhxaHWsNCMm0h+J25sutAAe2J+SlPaJpuimO
 Xty+DdQGYdbmh2UFROTDnysdJdni3aTkK9ArwSQNQ/Ee0h2UxhpJD0/W6KRZ2jh3X1QU
 IgBGlQf072y+3OnUdVCfXJof+OORIbJ2gkonRwLb6BbIk12FG0ZQ4TN8AkBAYPR0QRt3
 7Vc2IY/IgVyJ8Es7x2MuaTimfBIUQM9FtLTVTOpMk71Y8l13JVZZ2/D/Bjx7ph+4BKpj
 VofMPT2AamOLdm9PhSd/oHcEABR6LuON/obV4W5ZoD2nXp3KRVDagn9VnYgIPxRBiKj3
 /92g==
X-Gm-Message-State: AOAM533ipzmrDz1SuEygQ+xpPqOifSbMDcjvg+kxlW81q644PBRxdOYY
 AaHt2lI9lMUOuBdWyfHRxswTBay60QI=
X-Google-Smtp-Source: ABdhPJzqFktU8nNU3hS9v7weGq3fvYRO2gSwUyFQ7iZ8jyanR3hT+CAjX3kiQx+kp52Qi36ljHFZZQ==
X-Received: by 2002:adf:d84b:0:b0:206:617:d689 with SMTP id
 k11-20020adfd84b000000b002060617d689mr10641915wrl.361.1649335760874; 
 Thu, 07 Apr 2022 05:49:20 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id
 h11-20020adff4cb000000b00206163ce1acsm9175930wrp.103.2022.04.07.05.49.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 07 Apr 2022 05:49:20 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>
Subject: Re: bug#35169: [PATCH] gnu: Add urh.
References: <20190406101033.24342-1-arunisaac@HIDDEN>
 <20190406122240.2a140630@HIDDEN>
 <cu7lfzyx7yy.fsf@HIDDEN> <87mukd2abi.fsf@nckx>
 <cu7ftq5xnd5.fsf@HIDDEN>
Date: Thu, 07 Apr 2022 14:41:01 +0200
In-Reply-To: <cu7ftq5xnd5.fsf@HIDDEN> (Arun Isaac's message of "Fri, 
 26 Apr 2019 12:30:06 +0530")
Message-ID: <86czht2hia.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35169
Cc: Tobias Geerinckx-Rice <me@HIDDEN>, 35169 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Looking at old patch submission, I hit this:

        <http://issues.guix.gnu.org/issue/35169>

and I miss why it is not merged=E2=80=A6

On Fri, 26 Apr 2019 at 12:30, Arun Isaac <arunisaac@HIDDEN> wrote:
>>> +    (synopsis "Driver for HackRF, a general purpose software
>>> defined radio")
>>> +    (description "@code{hackrf} provides drivers for HackRF, a
>>> general purpose
>>> +software defined radio (SDR).")
>>
>> Drivers for=E2=80=A6  Linux?  CUSE?  Something else?  (URH?)
>
> Actually, this package provides a library that uses libusb to interface
> with the HackRF software defined radio. Shall I rewrite the synopsis and
> description as follows, replacing "driver" with "library"? Or, should I
> say "userspace driver" instead of "library"?
>
> synopsis:
>
> Interface library for the HackRF software defined radio
>
> description:
>
> @code{hackrf} provides a library to interface with HackRF, a general
> purpose software defined radio.

=E2=80=A6I mean, description and synopsis are important but they should not=
 be a
blocker here. :-)

Arun, could you rebase and merge it?


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#35169; Package guix-patches. Full text available.

Message received at 35169 <at> debbugs.gnu.org:


Received: (at 35169) by debbugs.gnu.org; 26 Apr 2019 07:00:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 26 03:00:37 2019
Received: from localhost ([127.0.0.1]:59861 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hJuqb-0007Jw-B5
	for submit <at> debbugs.gnu.org; Fri, 26 Apr 2019 03:00:37 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:58354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1hJuqX-0007Jl-Dw
 for 35169 <at> debbugs.gnu.org; Fri, 26 Apr 2019 03:00:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=FO9QhXGyPgzQOE2zGobuht/pU85CNJa/SA6ILzFPAEg=; b=ngMuShBJoLk2s9ILhd9AcPPko
 2PIo4U4JLIGDq4FaprmuMtWjeldL9qg932XnXtnRNEu5pKfSjxTOBKnZnQrltYPQke7CvtbVCN+T6
 UvlIZUwSj1LfUhodrbgzAJ/y7DADhUIuVDbFOFBij2PJYjjhJ0EPcfhc6lHf5VKJVqpfM=;
Received: from [14.139.128.10] (helo=steel)
 by systemreboot.net with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <arunisaac@HIDDEN>)
 id 1hJuqJ-0001c4-R4; Fri, 26 Apr 2019 12:30:19 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: [bug#35169] [PATCH] gnu: Add urh.
In-Reply-To: <87mukd2abi.fsf@nckx>
References: <20190406101033.24342-1-arunisaac@HIDDEN>
 <20190406122240.2a140630@HIDDEN> <cu7lfzyx7yy.fsf@HIDDEN>
 <87mukd2abi.fsf@nckx>
Date: Fri, 26 Apr 2019 12:30:06 +0530
Message-ID: <cu7ftq5xnd5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35169
Cc: 35169 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


>> +    (synopsis "Driver for HackRF, a general purpose software=20
>> defined radio")
>> +    (description "@code{hackrf} provides drivers for HackRF, a=20
>> general purpose
>> +software defined radio (SDR).")
>
> Drivers for=E2=80=A6  Linux?  CUSE?  Something else?  (URH?)

Actually, this package provides a library that uses libusb to interface
with the HackRF software defined radio. Shall I rewrite the synopsis and
description as follows, replacing "driver" with "library"? Or, should I
say "userspace driver" instead of "library"?

synopsis:

Interface library for the HackRF software defined radio

description:

@code{hackrf} provides a library to interface with HackRF, a general
purpose software defined radio.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAlzCrHYACgkQLiXui2GA
K7OJ6Af6AsLvNAdOo2JNVBOk1/E36olIDeiFv3AlIMSA4VOLoHhyYpCWrQrS+mXS
nEqnyQ096F9jA6J27C1vH+a+w/waF4ETSVjWUXasPGEaEjI+2GpmYTIoglGfN5oa
NaEs/vz1A6MVJPDv3NUzaUg1tJsSIOJQFpywZXbFX9FNPvFayxtq95lpilCJsU1a
hmZ4YamGsM1GY+h9WDktu4oRG5K5bJPA5z5vcFZTz1u2ubnNS6fh6KB8nWOWDWqg
W358WQphoFE8RYUlWXJSGek32ht3r4u0VCQR5IbYICrbWtsrC6VWGkXvZUenB450
85LnGvQxPoALoi89VzIarYVcxk5+dA==
=lfYZ
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#35169; Package guix-patches. Full text available.

Message received at 35169 <at> debbugs.gnu.org:


Received: (at 35169) by debbugs.gnu.org; 25 Apr 2019 18:45:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 25 14:45:27 2019
Received: from localhost ([127.0.0.1]:59345 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hJjN9-00032o-6l
	for submit <at> debbugs.gnu.org; Thu, 25 Apr 2019 14:45:27 -0400
Received: from tobias.gr ([80.241.217.52]:33088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1hJjN7-0002xr-NX
 for 35169 <at> debbugs.gnu.org; Thu, 25 Apr 2019 14:45:26 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 675ba83f
 for <35169 <at> debbugs.gnu.org>; Thu, 25 Apr 2019 18:45:22 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=lqRUHzxUPo+F9+akit44NR
 h0/jXRwF28K7bSoNwVcxM=; b=h/3yYPOdBswNX8CHc+vLFfhX+Up6E+vH/VZYKe
 BimkZWrK0FJPuxGtLDrnxyXzE4XTXwUs78pC1cnb2VuZjMnhhdvkIpj/fNs8COjd
 I86IE+UkTva1FdnUFzuBwMsNKKovbhP0vPCa4WEZ7HN+4vroL6M5xgMLYDchan8g
 v8R/99T7+ZQ4qra+AnfBNsHOs+Y9w/Gu7gKNp3mf1uuv+3xiV2vVY3Sy1VhhQI/E
 4HkeKe5U0IyLhFPGK5VX3pGQ55euCVY4VXlKOADOW55Wzi7H9uIy/U8EDfDLfp8o
 jhRw4KyWnZz/ZJgnTGnfvhNhERoi5+1AaQ+oUsQam8CkwvkQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id e85406c0
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO)
 for <35169 <at> debbugs.gnu.org>; Thu, 25 Apr 2019 18:45:21 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: 35169 <at> debbugs.gnu.org
Subject: Re: [bug#35169] [PATCH] gnu: Add urh.
References: <20190406101033.24342-1-arunisaac@HIDDEN>
 <20190406122240.2a140630@HIDDEN> <cu7lfzyx7yy.fsf@HIDDEN>
In-reply-to: <cu7lfzyx7yy.fsf@HIDDEN>
Date: Thu, 25 Apr 2019 20:45:21 +0200
Message-ID: <87mukd2abi.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35169
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Arun,

Arun Isaac wrote:
> +    (home-page "https://github.com/mossmann/hackrf")
> +    (synopsis "Driver for HackRF, a general purpose software=20
> defined radio")
> +    (description "@code{hackrf} provides drivers for HackRF, a=20
> general purpose
> +software defined radio (SDR).")

Drivers for=E2=80=A6  Linux?  CUSE?  Something else?  (URH?)

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXMIAQQAKCRANsP+IT1Vt
ed/bAQD7wF2PhWjPzf0ybjHsmBlJlbWjSD9Rq1cZcJR9WYXbCQEAxU5l3QiACHI1
cpKIGfBPbMzhPC+BB6IF6rNQU2DjcAg=
=wv/l
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#35169; Package guix-patches. Full text available.

Message received at 35169 <at> debbugs.gnu.org:


Received: (at 35169) by debbugs.gnu.org; 25 Apr 2019 18:20:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 25 14:20:41 2019
Received: from localhost ([127.0.0.1]:59309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hJiz3-00023Q-4J
	for submit <at> debbugs.gnu.org; Thu, 25 Apr 2019 14:20:40 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:53064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1hJiyz-00023E-Df
 for 35169 <at> debbugs.gnu.org; Thu, 25 Apr 2019 14:20:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=6BgniiMi2QnAbLftOXPSEkDUJxoDn95Lqvni2bQ/Y2w=; b=INUVylMvgLv/ZVUsK357cp9Vr
 i24vdnR9aBgblnpG9T6CBr64l8uOgb0n9ppSMuTaHlxS25/+Gv8AjW9LizqpckhVGbYPLyqcu3g4b
 ZOicWYO6EJjgLDthExRpkqmMWx7FDPVE4VBWBnINYCN3il6ZfZl3L2gQ8vv60I7e+R9VA=;
Received: from [49.206.11.150] (helo=steel)
 by systemreboot.net with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <arunisaac@HIDDEN>)
 id 1hJiyv-0000Dt-HG; Thu, 25 Apr 2019 23:50:25 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: [bug#35169] [PATCH] gnu: Add urh.
In-Reply-To: <20190406122240.2a140630@HIDDEN>
References: <20190406101033.24342-1-arunisaac@HIDDEN>
 <20190406122240.2a140630@HIDDEN>
Date: Thu, 25 Apr 2019 23:50:21 +0530
Message-ID: <cu7lfzyx7yy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35169
Cc: 35169 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain


Finally got it working!


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline; filename=0001-gnu-Add-hackrf.patch
Content-Transfer-Encoding: quoted-printable

From=2081957a3ac8526eca7a27780e8c0fe1873123de53 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 25 Apr 2019 20:32:13 +0530
Subject: [PATCH 1/2] gnu: Add hackrf.

* gnu/packages/ham-radio.scm (hackrf): New variable.
=2D--
 gnu/packages/ham-radio.scm | 35 ++++++++++++++++++++++++++++++++++-
 1 file changed, 34 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/ham-radio.scm b/gnu/packages/ham-radio.scm
index 6e91866905..e9521032cc 100644
=2D-- a/gnu/packages/ham-radio.scm
+++ b/gnu/packages/ham-radio.scm
@@ -1,5 +1,5 @@
 ;;; GNU Guix --- Functional package management for GNU
=2D;;; Copyright =C2=A9 2017, 2018 Arun Isaac <arunisaac@HIDDEN>
+;;; Copyright =C2=A9 2017, 2018, 2019 Arun Isaac <arunisaac@HIDDEN=
et>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -20,6 +20,7 @@
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
   #:use-module (guix download)
+  #:use-module (gnu packages algebra)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages libusb)
   #:use-module (gnu packages pkg-config)
@@ -82,3 +83,35 @@ growing list of radios across several manufacturers and =
allows transferring of
 memory contents between them.")
     (license (list license:gpl3+
                    license:lgpl3+)))) ; chirp/elib_intl.py
+
+(define-public hackrf
+  (package
+    (name "hackrf")
+    (version "2018.01.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://github.com/mossmann/hackrf/releases/do=
wnload/v"
+                           version "/hackrf-" version ".tar.xz"))
+       (sha256
+        (base32
+         "054x08y02gfwax2yb95ajg7gdm8ab1sckcmkcy1s2bqxkb0av6x8"))))
+    (build-system cmake-build-system)
+    (inputs
+     `(("fftwf" ,fftwf)
+       ("libusb" ,libusb)))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (arguments
+     `(#:tests? #f ; no tests
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'configure 'chdir-to-source
+           (lambda _
+             (chdir "host")
+             #t)))))
+    (home-page "https://github.com/mossmann/hackrf")
+    (synopsis "Driver for HackRF, a general purpose software defined radio=
")
+    (description "@code{hackrf} provides drivers for HackRF, a general pur=
pose
+software defined radio (SDR).")
+    (license license:gpl2+)))
=2D-=20
2.21.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=0002-gnu-Add-urh.patch
Content-Transfer-Encoding: quoted-printable

From=204693278e0b249d3edb0556d507d8eeb6ee5d2c4b Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Sat, 6 Apr 2019 14:44:44 +0530
Subject: [PATCH 2/2] gnu: Add urh.

* gnu/packages/ham-radio.scm (urh): New variable.
=2D--
 gnu/packages/ham-radio.scm | 68 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 68 insertions(+)

diff --git a/gnu/packages/ham-radio.scm b/gnu/packages/ham-radio.scm
index e9521032cc..58a8161851 100644
=2D-- a/gnu/packages/ham-radio.scm
+++ b/gnu/packages/ham-radio.scm
@@ -20,12 +20,15 @@
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
   #:use-module (guix download)
+  #:use-module (guix git-download)
   #:use-module (gnu packages algebra)
+  #:use-module (gnu packages check)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages libusb)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages python-xyz)
+  #:use-module (gnu packages qt)
   #:use-module (gnu packages xml)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system python))
@@ -115,3 +118,68 @@ memory contents between them.")
     (description "@code{hackrf} provides drivers for HackRF, a general pur=
pose
 software defined radio (SDR).")
     (license license:gpl2+)))
+
+(define-public urh
+  (package
+    (name "urh")
+    (version "2.5.7")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/jopohl/urh")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "110fwlj2fw8jgrsgqfkha7lx8f06w0ymh51mgpckx8a0wycznhcy"))))
+    (build-system python-build-system)
+    (inputs
+     `(("hackrf" ,hackrf)
+       ("python-numpy" ,python-numpy)
+       ("python-psutil" ,python-psutil)
+       ("python-pyqt" ,python-pyqt)
+       ("python-pyzmq" ,python-pyzmq)
+       ("rtl-sdr" ,rtl-sdr)))
+    (native-inputs
+     `(("python-cython" ,python-cython)
+       ("python-pytest" ,python-pytest)))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'configure-compiler
+           (lambda _
+             ;; Use gcc as compiler
+             (substitute* "src/urh/dev/native/ExtensionHelper.py"
+               (("compiler =3D ccompiler\\.new_compiler\\(\\)\n" all)
+                (string-append
+                 all "    compiler.set_executables(compiler=3D'gcc',"
+                 " compiler_so=3D'gcc', linker_exe=3D'gcc', linker_so=3D'g=
cc -shared')\n")))
+             #t))
+         (replace 'build
+           (lambda _
+             (invoke "python" "setup.py" "build" "build_ext")
+             (invoke "python" "src/urh/cythonext/build.py")))
+         (replace 'check
+           (lambda _
+             ;; Run X server tests offscreen in headless mode
+             (setenv "QT_QPA_PLATFORM" "offscreen")
+             (setenv "HOME" "/tmp")
+             ;; Fix permissions
+             (with-directory-excursion "tests/data"
+               (for-each (lambda (file)
+                           (chmod file #o755))
+                         (list "decode.py" "encode.py")))
+             ;; Run tests
+             (invoke "pytest"))))))
+    (home-page "https://github.com/jopohl/urh")
+    (synopsis "Investigate unknown wireless protocols")
+    (description "The Universal Radio Hacker (URH) is a software for
+investigating unknown wireless protocols.  Features include hardware
+interfaces for common software defined radios, easy demodulation of signal=
s,
+assigning participants to keep an overview of your data, customizable
+decodings to crack even sophisticated encodings like CC1101 data whitening,
+assigning labels to reveal the logic of the protocol, a fuzzing component =
to
+find security leaks, modulation support to inject data back into the system
+and a simulation environment to perform stateful attacks.")
+    (license license:gpl3+)))
=2D-=20
2.21.0


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAlzB+mUACgkQLiXui2GA
K7ODRgf9HBwmmPhoz1h7+qMqet8HseEPr32PaVI447yAF3VTKADZkLkDzO7an6+6
BPZJI0RbEDhZIvmhFqObsqUyj4ynE+r2MCP9tehrps4xWnPxUKxmCcLkMJz6KFl9
CMFJGEJCuLgNECl0bSe38okbRNJu2nGWeh9sRrockjkDMYKgG7I3wjn+3kgPfDA6
Wvt0REGTgqkIOQD+CczbxhkD4PekCLVt7mNGj1D3ZAXRKsYPdiF/O6qwErVFX28K
HMi51aiB4fpKW0sEutcivkiu7g5jhRTPhP+15aXCzC1KB/3Bc7HVkd8A0XM7xsxW
gdo7Gp3sL7mrelcWfXtqa/YePIh5SA==
=NsMQ
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#35169; Package guix-patches. Full text available.

Message received at 35169 <at> debbugs.gnu.org:


Received: (at 35169) by debbugs.gnu.org; 16 Apr 2019 10:31:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 16 06:31:56 2019
Received: from localhost ([127.0.0.1]:36667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hGLNb-0007pI-Rj
	for submit <at> debbugs.gnu.org; Tue, 16 Apr 2019 06:31:56 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:59130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1hGLNY-0007p5-5r
 for 35169 <at> debbugs.gnu.org; Tue, 16 Apr 2019 06:31:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Z0TyTXmG4PeJ1jImv6u5ksma0bhViYWzwURs3eRvAhA=; b=gEYFFu+UkGQSiphmWyMxs5aTd
 6JTBfMbBXeYG+GsinGWS2kmviH6tERbb2a81ChRnKSlPek2CJlr1ca+0Tjkam/U4Xg5C4dlgUlBxV
 +J30baWNCYCdliShnmOTdxKDsa3Fm9J2yyfjs41anIfYhFO1VeyeVeSLEXaJZ/gOOH5Nc=;
Received: from [14.139.128.10] (helo=steel)
 by systemreboot.net with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <arunisaac@HIDDEN>)
 id 1hGLNU-0004jo-OQ; Tue, 16 Apr 2019 16:01:48 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: [bug#35169] [PATCH] gnu: Add urh.
In-Reply-To: <20190406122240.2a140630@HIDDEN>
References: <20190406101033.24342-1-arunisaac@HIDDEN>
 <20190406122240.2a140630@HIDDEN>
Date: Tue, 16 Apr 2019 16:01:35 +0530
Message-ID: <cu7mukqnsvs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35169
Cc: 35169 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


>> +     `(#:tests? #f)) ; tests require an X server
>
> urh uses Qt as GUI library, so maybe
>
> (setenv "QT_QPA_PLATFORM" "offscreen")

This works, but there are a lot of other failing tests. Many of them
appear to be upstream bugs. I'm trying to fix them one by one and get
this package ready.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAly1rwgACgkQLiXui2GA
K7M89AgAmnwiidQDFvyytWFZ3znEOQBwKwAUwwmmaH+A/HipKXjNSg+pvLgmaG2u
yxBK4bPtuVTiNuKzlLbgntIhWYB/timc+jAHlzjbV2mG/X4CpP8nXGhlV0elf2Jy
8H0WNpW0x3hpNLl0Ux4Wge6WKRW7UBO54M/NdFspqJWrTc8Nd92fBwVABD9LdAyo
V12DRok1eT0YxSfs2rVvF9yHSihmMvZVNuZO3ASV5d8oFcoUn2Sst/qlYLadLlS6
W2B6nZlKdoGtmUESH9Dfbk/S77JxErpECF3yESHPQ7kV/rmbAoWfFESm6T56F4Xm
Q7lLXHMKsELjlSRIlSfS7bufpXTPxA==
=eiKt
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#35169; Package guix-patches. Full text available.

Message received at 35169 <at> debbugs.gnu.org:


Received: (at 35169) by debbugs.gnu.org; 9 Apr 2019 09:25:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 09 05:25:02 2019
Received: from localhost ([127.0.0.1]:50549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hDn00-0007nP-T9
	for submit <at> debbugs.gnu.org; Tue, 09 Apr 2019 05:25:01 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:54590)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1hDmzx-0007nF-Jz
 for 35169 <at> debbugs.gnu.org; Tue, 09 Apr 2019 05:24:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=NK9CkD/MX6aqomN5q1kc4vdV6xfB2s0xz9Dx6X2TAsc=; b=W1bB1b7faL2Cc4/MY7FspnqZ+
 EGgGWprzwAZkdyE3D1KvMYmPmHI1rU+KgnvNG33r3m4Z+NJ+1NpWRWNInRaUFt+FIy0vg0RDSnyUW
 tH/Zq0kesKMcjo0gZuru787rSPWEWXVFDn/kqpH4VhJl0fcO8gEYgsHytKfpx/C7/2xfw=;
Received: from [14.139.128.10] (helo=steel)
 by systemreboot.net with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <arunisaac@HIDDEN>)
 id 1hDmzs-0002d2-Ui; Tue, 09 Apr 2019 14:54:53 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: [bug#35169] [PATCH] gnu: Add urh.
In-Reply-To: <20190406122240.2a140630@HIDDEN>
References: <20190406101033.24342-1-arunisaac@HIDDEN>
 <20190406122240.2a140630@HIDDEN>
Date: Tue, 09 Apr 2019 14:54:43 +0530
Message-ID: <cu7o95fbkf8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35169
Cc: 35169 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


>> +     `(#:tests? #f)) ; tests require an X server
>
> urh uses Qt as GUI library, so maybe
>
> (setenv "QT_QPA_PLATFORM" "offscreen")
>
> would be enough (in a phase before 'check).
>
> Otherwise make it start an X server :)

I'll work on this over the weekend and get back to you.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAlysZNsACgkQLiXui2GA
K7OFGwf/crYA2msojhmeXBkOFM9JNnxFzEG7KoKMesq4l6SZKl7AyqP/jIilgI/7
KdOb/jlPXyF33DlVas8gQ7WpMIcQTBA8gDAJ+/H+Rf+E8VsaUlrCSDS417ymuBvM
KOwS5QD6jV6OWDqT0KUC+yroMhHpYaM9N3rgaZcr4H51x3SINPpGdVKzop1Jc7ea
Q1FBaSrillJY2NyXGk4IN6QKOM2+s8Sd6ZmoiqYUGVAQVS9QJcg14vdHW8AlXT/G
Uv4HEiyopNBsf61NTNjLupMDblgM+4aROKx/pTz4dXgToP6b82rXzVdz+CS09E1x
7cP8UZD22rnR8SD5F5Lm2fqPyS/v+w==
=kXid
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#35169; Package guix-patches. Full text available.

Message received at 35169 <at> debbugs.gnu.org:


Received: (at 35169) by debbugs.gnu.org; 6 Apr 2019 10:22:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 06 06:22:51 2019
Received: from localhost ([127.0.0.1]:46589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hCiTK-00089b-Jt
	for submit <at> debbugs.gnu.org; Sat, 06 Apr 2019 06:22:51 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:45300)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1hCiTI-00089Q-2k
 for 35169 <at> debbugs.gnu.org; Sat, 06 Apr 2019 06:22:48 -0400
Received: from localhost (178.113.210.35.wireless.dyn.drei.com
 [178.113.210.35])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 11F31336061D;
 Sat,  6 Apr 2019 12:22:45 +0200 (CEST)
Date: Sat, 6 Apr 2019 12:22:40 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>
Subject: Re: [bug#35169] [PATCH] gnu: Add urh.
Message-ID: <20190406122240.2a140630@HIDDEN>
In-Reply-To: <20190406101033.24342-1-arunisaac@HIDDEN>
References: <20190406101033.24342-1-arunisaac@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/4cfTkAZxTw9=dEdBWkg+3e+"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35169
Cc: 35169 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/4cfTkAZxTw9=dEdBWkg+3e+
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

On Sat,  6 Apr 2019 15:40:33 +0530
Arun Isaac <arunisaac@HIDDEN> wrote:

> +     `(#:tests? #f)) ; tests require an X server

urh uses Qt as GUI library, so maybe

(setenv "QT_QPA_PLATFORM" "offscreen")

would be enough (in a phase before 'check).

Otherwise make it start an X server :)

Otherwise LGTM!

--Sig_/4cfTkAZxTw9=dEdBWkg+3e+
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlyoffAACgkQ5xo1VCww
uqXUkwf9Hx80oJvwndGLStQRL+dfQTehNmwTcdeGv03Z1y2wHACJjgPHJQPrdQmy
xsnXwgShN5qlteCwcNwvsvD/EEbykpGKO63nrdVcG9jA/iQYe1YREw0sVJp96npD
rCCzgAnZcaiBFaB2WJ/YelDcUMY7HD6yws8QusmNOGqOVygdU2dCPfq6Dvj/DlOd
VKb2XcC5oI45CvAf6e4M/Wi/KleVhk+31jK7Sr5k7FA24naHyOFJb4C0ldaVASOf
DZ5VAbbYwyTU2I37dcnltcP8128oiwiaEwTpS+vkn5Enc5WIjTVHzsXpnufh6MWS
OGart72MRJENlLEi3i+SC05Q/yDt0A==
=UlxM
-----END PGP SIGNATURE-----

--Sig_/4cfTkAZxTw9=dEdBWkg+3e+--




Information forwarded to guix-patches@HIDDEN:
bug#35169; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Apr 2019 10:11:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 06 06:11:03 2019
Received: from localhost ([127.0.0.1]:46577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hCiHt-0007rm-Ov
	for submit <at> debbugs.gnu.org; Sat, 06 Apr 2019 06:11:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51268)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1hCiHq-0007rS-14
 for submit <at> debbugs.gnu.org; Sat, 06 Apr 2019 06:10:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:41603)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <arunisaac@HIDDEN>)
 id 1hCiHk-0003Bo-Ua
 for submit <at> debbugs.gnu.org; Sat, 06 Apr 2019 06:10:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37412)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arunisaac@HIDDEN>) id 1hCiHj-0003Uu-N5
 for guix-patches@HIDDEN; Sat, 06 Apr 2019 06:10:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arunisaac@HIDDEN>) id 1hCiHi-00039n-IV
 for guix-patches@HIDDEN; Sat, 06 Apr 2019 06:10:51 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:43262)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <arunisaac@HIDDEN>)
 id 1hCiHh-00036b-9t
 for guix-patches@HIDDEN; Sat, 06 Apr 2019 06:10:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Transfer-Encoding:Content-Type:
 MIME-Version:Message-Id:Date:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=v7jDgDSH+CLQ/9B1VSkPVmdqM9/97uRcMYVqVSfy1Rw=; b=oluqsrGQf/R4F6j78FFfFog/wk
 b3anS4PnuMis425D8jQS3V/sY3MExNcsfPTj+NmYcsEb1WXyXYI6zA8INjgDC4Ro8ABprkD4Mw29a
 d/l2cHghs35RiJMdeD+EEOaoFJh5RDAdvzaMXs2PU5fjmKeAEHm/sTOf+O5vhqIzRtNA=;
Received: from [49.206.14.21] (helo=steel.lan)
 by systemreboot.net with esmtpsa (TLSv1.2:ECDHE-RSA-AES128-GCM-SHA256:128)
 (Exim 4.92) (envelope-from <arunisaac@HIDDEN>)
 id 1hCiHd-00045N-03; Sat, 06 Apr 2019 15:40:45 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add urh.
Date: Sat,  6 Apr 2019 15:40:33 +0530
Message-Id: <20190406101033.24342-1-arunisaac@HIDDEN>
X-Mailer: git-send-email 2.21.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 139.59.75.54
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: Arun Isaac <arunisaac@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

* gnu/packages/ham-radio.scm (urh): New variable.
---
 gnu/packages/ham-radio.scm | 40 +++++++++++++++++++++++++++++++++++++-
 1 file changed, 39 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/ham-radio.scm b/gnu/packages/ham-radio.scm
index 6e91866905..16965810fc 100644
--- a/gnu/packages/ham-radio.scm
+++ b/gnu/packages/ham-radio.scm
@@ -1,5 +1,5 @@
 ;;; GNU Guix --- Functional package management for GNU
-;;; Copyright © 2017, 2018 Arun Isaac <arunisaac@HIDDEN>
+;;; Copyright © 2017, 2018, 2019 Arun Isaac <arunisaac@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -20,11 +20,13 @@
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
   #:use-module (guix download)
+  #:use-module (guix git-download)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages libusb)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages python-xyz)
+  #:use-module (gnu packages qt)
   #:use-module (gnu packages xml)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system python))
@@ -82,3 +84,39 @@ growing list of radios across several manufacturers and allows transferring of
 memory contents between them.")
     (license (list license:gpl3+
                    license:lgpl3+)))) ; chirp/elib_intl.py
+
+(define-public urh
+  (package
+    (name "urh")
+    (version "2.5.7")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/jopohl/urh")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "110fwlj2fw8jgrsgqfkha7lx8f06w0ymh51mgpckx8a0wycznhcy"))))
+    (build-system python-build-system)
+    (inputs
+     `(("python-numpy" ,python-numpy)
+       ("python-psutil" ,python-psutil)
+       ("python-pyqt" ,python-pyqt)
+       ("python-pyzmq" ,python-pyzmq)))
+    (native-inputs
+     `(("python-cython" ,python-cython)))
+    (arguments
+     `(#:tests? #f)) ; tests require an X server
+    (home-page "https://github.com/jopohl/urh")
+    (synopsis "Investigate unknown wireless protocols")
+    (description "The Universal Radio Hacker (URH) is a software for
+investigating unknown wireless protocols.  Features include hardware
+interfaces for common Software Defined Radios, easy demodulation of signals,
+assigning participants to keep overview of your data, customizable decodings
+to crack even sophisticated encodings like CC1101 data whitening, assign
+labels to reveal the logic of the protocol, fuzzing component to find security
+leaks, modulation support to inject the data back into the system, simulation
+environment to perform stateful attacks.")
+    (license license:gpl3)))
-- 
2.21.0





Acknowledgement sent to Arun Isaac <arunisaac@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#35169; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 19 Apr 2022 10:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.